accordion/urls.py
from . import views
from django.urls import path

app_name = 'accordion'

urlpatterns = [
    path('', views.index, name='index'),
]

buku/urls.py
from . import views
from django.urls import path

app_name = 'buku'

urlpatterns = [
    path('', views.index, name='index'),
    path('getBook/', views.get_book_response, name='get_book'),
]

home/urls.py
from django.urls import path
from . import views

app_name = 'home'

urlpatterns = [
    path('', views.index, name='index')
]

homev2/urls.py
from django.urls import path
from . import views

app_name = 'homev2'

urlpatterns = [
    path('', views.index, name='index'),
    path('gallery/', views.gallery, name='gallery'),
]

kegiatan/urls.py
from . import views
from django.urls import path

app_name = 'kegiatan'

urlpatterns = [
    path('', views.index, name='index'),
    path('add-todo/', views.add_todo, name='add_todo'),
    path('add-person/', views.add_person, name='add_person'),
]

matakuliah/urls.py
from django.urls import path
from . import views

app_name = 'matakuliah'

urlpatterns = [
    path('create_matkul/', views.create_matakuliah_view, name='create_matkul'),
    path('', views.matakuliah, name='matakuliah'),
    path('delete_matkul/', views.delete_matkul, name='delete_matkul'),
    path('detail/<str:id>', views.detail_matkul_view, name='detail_matkul'),
]

ppwStory/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('oldhome', include('home.urls')),
    path('', include('homev2.urls')),
    path('matakuliah/', include('matakuliah.urls')),
    path('kegiatan/', include('kegiatan.urls')),
    path('accordion/', include('accordion.urls')),
    path('buku/', include('buku.urls')),
    path('user/', include('user.urls')),
]

user/urls.py
from . import views
from django.urls import path

app_name = 'user'

urlpatterns = [
    path('login/', views.log_in, name='login'),
    path('register/', views.register, name='register'),
    path('logout/', views.log_out, name='logout'),
]

accordion/models.py
from django.db import models

# Create your models here.

buku/models.py
from django.db import models

# Create your models here.

home/models.py
from django.db import models

# Create your models here.

homev2/models.py
from django.db import models

kegiatan/models.py
from django.db import models

# Create your models here.
class Todo(models.Model):
    title = models.CharField(max_length=255)
    description = models.TextField()

    def __str__(self):
        return self.title

class Person(models.Model):
    name = models.CharField(max_length=255)
    todo = models.ForeignKey(Todo, on_delete=models.CASCADE)

    def __str__(self):
        return self.name

matakuliah/models.py
from django.db import models


# Create your models here.
class MataKuliah(models.Model):

    TAHUN = tuple([(f"{x}/{x+1}", f"{x}/{x+1}") for x in range(2019, 2025, 1)])
    SEMESTER = (
        ('Ganjil', 'Ganjil'),
        ('Genap', 'Genap'),
        )

    # Fields
    SKS = tuple([(x, x) for x in range(1, 7, 1)])
    nama_matakuliah = models.CharField(max_length=255)
    nama_dosen = models.CharField(max_length=255)
    sks = models.IntegerField(choices=SKS)
    deskripsi = models.TextField()
    semester = models.CharField(max_length=255, choices=SEMESTER)
    tahun = models.CharField(max_length=255, choices=TAHUN)
    ruang_kelas = models.CharField(max_length=255)

    def __str__(self):
        return self.nama_matakuliah

user/models.py
from django.db import models

# Create your models here.

kegiatan/forms.py
from django import forms
from .models import Todo, Person

class TodoForm(forms.ModelForm):

    class Meta:
        model = Todo
        fields = "__all__"

class PersonForm(forms.ModelForm):

    class Meta:
        model = Person
        fields = "__all__"

matakuliah/forms.py
from django import forms
from .models import MataKuliah


class MataKuliahForm(forms.ModelForm):

    class Meta:
        model = MataKuliah
        fields = "__all__"

accordion/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'accordion/index.html')

buku/views.py
from django.shortcuts import render, redirect
from django.http import JsonResponse

# Create your views here.
def index(request):
    return render(request, 'buku/index.html')

def get_book_response(request):
    search_query = request.GET.get('query')
    # Ganti API Key dengan key pribadi
    url = f"https://www.googleapis.com/books/v1/volumes?q={search_query}"
    return redirect(url)

home/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'home/index.html')

homev2/views.py
from django.shortcuts import render


# Create your views here.
def index(request):
    return render(request, 'homev2/index.html')


def gallery(request):
    return render(request, 'homev2/gallery.html')

kegiatan/views.py
from django.shortcuts import render, redirect, get_object_or_404
from .forms import TodoForm, PersonForm
from .models import Todo, Person
# Create your views here.


def index(request):
    list_kegiatan = Todo.objects.all()
    people = Person.objects.all()
    context = {'list_kegiatan': list_kegiatan, 'people': people}
    person_form = PersonForm()
    context['person_form'] = person_form
    return render(request, 'kegiatan/index.html', context)


def add_todo(request):
    form = TodoForm()
    context = {}
    if request.method == 'POST':
        form = TodoForm(request.POST)
        if form.is_valid():
            form.save()
        return redirect('/kegiatan/')
    else:
        context['form'] = form
        return render(request, 'kegiatan/add_todo.html', context)


def add_person(request):

    if request.method == 'POST':
        form = PersonForm(request.POST)
        if form.is_valid():
            form.save()
    return redirect('/kegiatan/')

matakuliah/views.py
from django.shortcuts import render, HttpResponseRedirect, get_object_or_404
from .models import MataKuliah

# Create your views here.
from matakuliah.forms import MataKuliahForm


def create_matakuliah_view(request):
    context = {}
    if request.method == 'POST':
        form = MataKuliahForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/matakuliah/')
    else:
        form = MataKuliahForm()
    context['form'] = form
    return render(request, 'matakuliah/create_matakuliah_view.html', context)


def matakuliah(request):
    context = {'list_matkul': MataKuliah.objects.all()}
    total_sks = 0
    for matkul in context['list_matkul']:
        total_sks += matkul.sks
    context['total_sks'] = total_sks
    return render(request, 'matakuliah/matakuliah.html', context)


def delete_matkul(request):
    if request.method == 'POST':
        matkul_id = request.POST['matkul_id']
        obj = get_object_or_404(MataKuliah, id=matkul_id)
        obj.delete()
    return HttpResponseRedirect('/matakuliah')


def detail_matkul_view(request, id):
    matkul = get_object_or_404(MataKuliah, id=id)
    context = {'matkul': matkul}
    return render(request, 'matakuliah/detail_matkul.html', context)

user/views.py
from django.contrib.auth.decorators import login_required
from django.shortcuts import render, redirect
from django.contrib.auth import login, authenticate, logout
from django.contrib.auth.forms import UserCreationForm
from django.contrib import messages
# Create your views here.
def log_in(request):

    if request.method == 'POST':
        username = request.POST['username']
        password = request.POST['password']
        user = authenticate(request, username=username, password=password)
        if user is not None:
            login(request, user)
            return redirect('/')
        else:
            messages.error(request, "Invalid username or password")

    return render(request, 'user/login.html')

def register(request):
    if request.method == 'POST':
        form = UserCreationForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('/')
        else:
            messages.error(request, 'Invalid username or password')

    return render(request, 'user/register.html')

def log_out(request):
    user = request.user
    logout(request)
    return redirect('/')

accordion/templates/accordion/index.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Accordion</title>


{% endblock %}
{% block content %}
    <br><br><br><br><br><br><br>
    <dl class="accordion text-white">
        <div class="sectionss">
            <dt><a href="" class="font-size">About Me</a></dt>
            <button value="Up" class="upButton font-size">上</button>
            <button value="Down" class="downButton font-size">下</button>
            <dd class="font-size">
                Computer science student. Beginner artist. Likes Idolm@ster.
            </dd>
        </div>
        <div class="sectionss">
            <dt><a href="" class="font-size">Activity</a></dt>
            <button value="Up" class="upButton font-size">上</button>
            <button value="Down" class="downButton font-size">下</button>
            <dd>
                <ol class="font-size">
                    <li>Student</li>
                    <li>Teaching Assistant</li>
                </ol>
            </dd>
        </div>
        <div class="sectionss">
            <dt><a href="" class="font-size">Experience</a></dt>
            <button value="Up" class="upButton font-size">上</button>
            <button value="Down" class="downButton font-size">下</button>
            <dd>
                <ol class="font-size">
                    <li class="font-size">Competitive Programming</li>
                    <li class="font-size">Scientific Committee of CPC Compfest</li>
                </ol>
            </dd>
        </div>
        <div class="sectionss">
            <dt><a href="" class="font-size">Achievement</a></dt>
            <button value="Up" class="upButton font-size">上</button>
            <button value="Down" class="downButton font-size">下</button>
            <dd>
                <ol class="font-size">
                    <li>Silver Medal at Indonesia National Science Olympiad</li>
                </ol>
            </dd>
        </div>

    </dl>
    <script type="text/javascript" src="{% static 'accordion/script.js' %}"></script>
{% endblock %}

buku/templates/buku/index.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <meta charset="UTF-8">
    <title>Cari Buku</title>
{% endblock %}
{% block content %}

    <div class="row mt-5 pt-5">
        <table>
            <tr>
                <td>
                    <input type="text" id="searchBook" value="">
                </td>
                <td>
                    <button id="searchButton">Cari</button>
                </td>
            </tr>
        </table>
    </div>
    <div class="row">
        <div class="container text-white" id="hasilCari">

        </div>
    </div>

    <script src="{% static 'buku/scripts/ajax.js' %}"></script>
{% endblock %}

homev2/templates/homev2/gallery.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <meta charset="UTF-8">
    <title>Gallery</title>
{% endblock meta %}
{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-sm">
                <h1 class="text-center text-palette-1 display-1 mt-5 pt-5">My Works</h1>
            </div>
        </div>
        <div class="row">
            <div class="col-sm">
                <img src="{% static 'gallery/ak12.png' %}" alt="image" class="mb-5 mt-5 img-frame">
            </div>
            <div class="col-sm">
                <img src="{% static 'gallery/ump45.png' %}" alt="image" class="mb-5 mt-5 img-frame">
            </div>
            <div class="col-sm">
                <img src="{% static 'gallery/marisa_1.png' %}" alt="image" class="mb-5 mt-5 img-frame">
            </div>
        </div>
    </div>
{% endblock content %}

homev2/templates/homev2/index.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <meta charset="UTF-8">
    <title>Profile</title>
{% endblock meta %}
<body>
{% block content %}
    <section id="page-1">
        <div class="page-height">
            <div class="container">
                <div class="row pt-5">
                    <div class="p-5 m-5 col-sm resp-col">
                        <img src="{% static 'homev2/MX24_square.jpg' %}" alt="profile-picture" id="profile-picture">
                    </div>
                    <div class="p-5 m-5 col-sm resp-col" id="bio-section">
                        <h3 id="bio-name">Fadhil Rasendriya Prabowo</h3>
                        <p id="bio-university">Computer Science Student at University of Indonesia</p>
                        <p id="bio-class">Class of 2019</p>
                        <p id="bio-hobbies">Likes Anime and Drawing</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="page-2">
        <div class="page-height">
            <div class="container">
                <div class="row pt-5">
                    <div class="col-sm resp-col p-3 m-5 skill-box box-w-9" id="education-box">
                        <h3 class="skill-header">Education</h3>
                        <ol class="skill-list">
                            <li>SMA N 8 Yogyakarta (2016 - 2019)</li>
                            <li>University of Indonesia (2019 - Now)</li>
                        </ol>
                    </div>
                    <div class="col-sm resp-col p-3 m-5 skill-box box-w-9" id="experience-box">
                        <h3 class="skill-header">Experience</h3>
                        <ol class="skill-list">
                            <li>Teaching Assistant at University of Indonesia</li>
                            <li>Scientific Commitee of CPC Compfest 12</li>
                        </ol>
                    </div>
                    <div class="col-sm resp-col p-3 m-5 skill-box box-w-9" id="skill-box">
                        <h3 class="skill-header">Skills</h3>
                        <ol class="skill-list">
                            <li>Competitive Programming</li>
                            <li>Python</li>
                            <li>Java</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="page-3">
        <div class="page-height">
            <div class="container text-center">
                <h1 class="p-5 text-palette-5" id="contact-font">Contact</h1>
                <div class="container" id="contact-box">
                    <div class="row p-2">
                        <h3 class="col-sm resp-col" id="contact-info">Email: fadhil.rasendriya@ui.ac.id</h3>
                    </div>
                    <div class="container row p-5">
                        <a href="https://www.facebook.com/fadhil.rasendriya/" class="col-sm social-box" target="_blank"><img
                                class="w-100 h-100" src="{% static 'facebook.svg' %}" alt="facebook"></a>
                        <a href="https://www.linkedin.com/in/fadhil-rasendriya-prabowo-38b5b1195/"
                           class="col-sm social-box"
                           target="_blank"><img class="w-100 h-100" src="{% static 'linkedin.svg' %}"
                                                alt="linkedin"></a>
                        <a href="https://gitlab.com/fadhil.rasendriya" class="col-sm social-box" target="_blank"><img
                                class="w-100 h-100" src="{% static 'gitlab.svg' %}" alt="gitlab"></a>
                        <a href="https://github.com/fadhilrasendriya" class="col-sm social-box" target="_blank"><img
                                class="w-100 h-100" src="{% static 'github.svg' %}" alt="github"></a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    </body>
{% endblock content %}

kegiatan/templates/kegiatan/add_todo.html
{% extends 'base.html' %}
{% block meta %}
<title>Tambah Kegiatan</title>
{% endblock %}
{% block content %}
<div class="container">
    <div class="row mt-5 pt-5">
        <div class="col text-light">
            <form method="POST" enctype="multipart/form-data">
                {% csrf_token %}
                {{ form.as_p }}
                <input type="submit" value="Submit">
            </form>
        </div>
    </div>
</div>
{% endblock %}

kegiatan/templates/kegiatan/index.html
{% extends 'base.html' %}
{% block meta %}
    <title>Kegiatan</title>
{% endblock %}
{% block content %}
    <div class="row">
    <div class="col">
        <h3 class="display-3">To-Do List</h3>
    </div>
    </div>
    <div class="row text-light">
        {% for todo in list_kegiatan %}
            <div class="col">
                <p>Nama Kegiatan</p>
                <p>{{ todo.title }}</p>
                <p>Deskripsi</p>
                <p>{{ todo.description }}</p>
                <ul>
                    {% for person in people %}
                        {% if person.todo.id == todo.id %}
                        <li>{{ person.name }}</li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <form method="POST" action="{% url 'kegiatan:add_person' %}" enctype="multipart/form-data">
                    {% csrf_token %}
                    <input type="hidden" name="todo" value="{{ todo.id }}">
                    <table>
                        <tr>
                            <td><input type="text" name="name" value=""></td>
                            <td><input type="submit" value="Add Participant"></td>
                        </tr>
                    </table>
                </form>
            </div>
        {% endfor %}
    </div>
    <div class="row text-light">
    <div class="col">
        <form method="get" action="{% url 'kegiatan:add_todo' %}" enctype="multipart/form-data">
            {% csrf_token %}
            <input type="submit" value="Tambah Kegiatan">
        </form>
    </div>
    </div>
{% endblock %}

matakuliah/templates/matakuliah/create_matakuliah_view.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Add Course</title>
{% endblock %}
{% block content %}
    <div class="container">\
        <div class="row p-5 m-5">
            <div class="col text-white">
                <form method="POST" enctype="multipart/form-data">
                    {% csrf_token %}
                    <table>
                        <tr>
                            <td>Nama Matakuliah</td>
                            <td>{{ form.nama_matakuliah }}</td>
                        </tr>
                        <tr>
                            <td>Nama Dosen</td>
                            <td>{{ form.nama_dosen }}</td>
                        </tr>
                        <tr>
                            <td>SKS</td>
                            <td>{{ form.sks }}</td>
                        </tr>
                        <tr>
                            <td>Semester</td>
                            <td>{{ form.semester }}</td>
                        </tr>
                        <tr>
                            <td>Tahun</td>
                            <td>{{ form.tahun }}</td>
                        </tr>
                        <tr>
                            <td>Ruang</td>
                            <td>{{ form.ruang_kelas }}</td>
                        </tr>
                        <tr>
                            <td>Deskripsi</td>
                            <td>{{ form.deskripsi }}</td>
                        </tr>
                    </table>
                    <input type="submit" value="Submit">
                </form>
            </div>
        </div>
    </div>
{% endblock %}

matakuliah/templates/matakuliah/detail_matkul.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Detail Matkul</title>
{% endblock %}
{% block content %}
    <div class="container text-light">
        <div class="row pt-5 mt-5 pb-3 mb-3">
            <div class="col">
                <p class="display-3">Detail Matakuliah</p>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <table>
                    <tr>
                        <td class="p-2 m-2">Nama Matakuliah</td>
                        <td class="p-2 m-2">{{ matkul.nama_matakuliah }}</td>
                    </tr>
                    <tr>
                        <td class="p-2 m-2">Nama Dosen</td>
                        <td class="p-2 m-2">{{ matkul.nama_dosen }}</td>
                    </tr>
                    <tr>
                        <td class="p-2 m-2">SKS</td>
                        <td class="p-2 m-2">{{ matkul.sks }}</td>
                    </tr>
                    <tr>
                        <td class="p-2 m-2">Semester</td>
                        <td class="p-2 m-2">{{ matkul.semester }}</td>
                    </tr>
                    <tr>
                        <td class="p-2 m-2">Tahun</td>
                        <td class="p-2 m-2">{{ matkul.tahun }}</td>
                    </tr>
                    <tr>
                        <td class="p-2 m-2">Ruang</td>
                        <td class="p-2 m-2">{{ matkul.ruang_kelas }}</td>
                    </tr>
                    <tr>
                        <td class="p-2 m-2">Deskripsi</td>
                        <td class="p-2 m-2">{{ matkul.deskripsi }}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="row">
    <div class="col">
        <a href="{% url 'matakuliah:matakuliah' %}" class="text-light">Kembali</a>
    </div>
    </div>
{% endblock %}

matakuliah/templates/matakuliah/matakuliah.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Mata Kuliah</title>
{% endblock %}
{% block content %}
    <div class="container">
        <div class="row text-light p-5 mt-5">
            <div class="col">
                <h4 class="display-3">Mata Kuliah</h4>
            </div>
        </div>
        <div class="row">
            <div class="col text-white">
                <table class="p-2 m-2">
                    <tr class="p-2 m-2">
                        <th class="p-2 m-2">Mata Kuliah</th>
                        <th class="p-2 m-2">SKS</th>
                        <th class="p-2 m-2">Action</th>
                    </tr>
                    {% for matkul in list_matkul %}
                        <tr class="p-2 m-2">
                            <td class="p-2 m-2">{{ matkul.nama_matakuliah }}</td>
                            <td class="p-2 m-2">{{ matkul.sks }}</td>
                            <td class="p-2 m-2">
                                <form method="POST" enctype="multipart/form-data" action="{% url 'matakuliah:delete_matkul' %}">
                                    {% csrf_token %}
                                    <input type="hidden" name="matkul_id" value="{{ matkul.id }}">
                                    <input type="submit" value="Delete">
                                </form>
                            </td>
                            <td>
                                <form method="GET" enctype="multipart/form-data" action="{% url 'matakuliah:detail_matkul' matkul.id  %}">
                                    {% csrf_token %}

                                    <input type="submit" value="Detail">
                                </form>
                            </td>
                        </tr>
                    {% endfor %}
                    <tr>
                        <td class="p-3 m-3"><h3>Total SKS</h3></td>
                        <td class="p-3 m-3"><h3>{{ total_sks }}</h3></td>
                    </tr>
                </table>

            </div>
        </div>
        <div class="row text-light">
            <div class="col">
                <a href="{% url 'matakuliah:create_matkul' %}"><h3>Tambah Matakuliah</h3></a>
            </div>
        </div>
    </div>
{% endblock %}

templates/home/index.html
{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <meta charset="UTF-8">
    <title>Home | Story</title>
    <link rel="stylesheet" href="{% static 'index.css' %}">
{% endblock meta %}
{% block content %}
    <div>
        <h1>Welcome</h1>
    </div>
    <div>
        <div>
        <img src="{% static 'MX24.jpg' %}" alt="Fadhil" id="profile">
        </div>
        <div>
        <b>Fadhil Rasendriya Prabowo</b>
        <p>Computer Science Student at University of Indonesia</p>
        <p>Class of 2019</p>
        <p>Interested in Anime and Games</p>
        </div>
    </div>
    <div>
        <h4>Contact</h4>
        <div>
            <a href='https://www.facebook.com/fadhil.rasendriya/'> <img src="{% static 'socialmedia/facebook.svg' %}" alt="Facebook" class="iconbutton"></a>
            <a href='https://www.linkedin.com/in/fadhil-rasendriya-prabowo-38b5b1195/'> <img src="{% static 'socialmedia/linkedin.svg' %}" alt="Linkedin" class="iconbutton"></a>
        </div>
        <div>
        <p>Icons made by <a href="https://www.flaticon.com/authors/freepik" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon"> www.flaticon.com</a></p>
        </div>
    </div>
    <div>
        <h3>Education</h3>
        <ol>
            <li>SMA N 8 Yogyakarta (2016 - 2019)</li>
            <li>University of Indonesia (2019 - now)</li>
        </ol>
    </div>
    <div>
        <h3>Skill</h3>
        <ol>
            <li>Competitive Programming</li>
        </ol>
    </div>
{% endblock content %}

user/templates/user/login.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    {% load static %}
    <link rel="stylesheet" href="{% static 'user/css/style.css' %}">
</head>
<body>
<div class="wrapper fadeInDown">
    <div id="formContent">
        <!-- Tabs Titles -->
        <h2 id="logInButton" class="active"> Sign In </h2>
        <h2 id="signUpButton" class="inactive underlineHover">Sign Up </h2>
        <!-- Login Form -->
        <form method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <input type="text" id="username" class="fadeIn second" name="username" placeholder="login">
            <input type="password" id="password" class="fadeIn third" name="password" placeholder="password">
            <input type="submit" class="fadeIn fourth" value="Log In">
        </form>
        {% for message in messages %}
            {{ message }}
        {% endfor %}

        <!-- Remind Passowrd -->
        <div id="formFooter">
            <a class="underlineHover" href="#">Forgot Password?</a>
        </div>

    </div>
</div>
<script type="text/javascript" src="{% static 'js/jquery.js' %}"></script>
<script type="text/javascript" src="{% static 'user/script/script.js' %}"></script>
</body>
</html>

user/templates/user/register.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Sign up</title>
    {% load static %}
    <link rel="stylesheet" href="{% static 'user/css/style.css' %}">
</head>
<body>
<div class="wrapper fadeInDown">
    <div id="formContent">
        <!-- Tabs Titles -->
        <h2 id="logInButton" class="inactive underlineHover"> Sign In </h2>
        <h2 id="signUpButton" class="active">Sign Up </h2>
        <!-- Login Form -->
        <form method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <input type="text" id="username" class="fadeIn second" name="username" placeholder="Username">
            <input type="text" id="email" class="fadeIn third" name="email" placeholder="Email">
            <input type="password" id="password1" class="fadeIn second" name="password1" placeholder="Password">
            <input type="password" id="password2" class="fadeIn third" name="password2" placeholder="Re-type password">
            <input type="submit" class="fadeIn fourth" value="Log In">
        </form>
        {% for message in messages %}
            {{ message }}
        {% endfor %}

        <!-- Remind Passowrd -->
        <div id="formFooter">
            <a class="underlineHover" href="#">Forgot Password?</a>
        </div>

    </div>
</div>
<script type="text/javascript" src="{% static 'js/jquery.js' %}"></script>
<script type="text/javascript" src="{% static 'user/script/script.js' %}"></script>
</body>
</html>